<?php
/**
 * Breadcrumb
 *
 * @package Rising News
 */

$wp_customize->add_section(
	'rising_news_breadcrumb',
	array(
		'title' => esc_html__( 'Breadcrumb', 'rising-news' ),
		'panel' => 'rising_news_theme_options',
	)
);

// Breadcrumb - Enable Breadcrumb.
$wp_customize->add_setting(
	'rising_news_enable_breadcrumb',
	array(
		'sanitize_callback' => 'rising_news_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Rising_News_Toggle_Switch_Custom_Control(
		$wp_customize,
		'rising_news_enable_breadcrumb',
		array(
			'label'   => esc_html__( 'Enable Breadcrumb', 'rising-news' ),
			'section' => 'rising_news_breadcrumb',
		)
	)
);

// Breadcrumb - Separator.
$wp_customize->add_setting(
	'rising_news_breadcrumb_separator',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => '/',
	)
);

$wp_customize->add_control(
	'rising_news_breadcrumb_separator',
	array(
		'label'           => esc_html__( 'Separator', 'rising-news' ),
		'active_callback' => 'rising_news_is_breadcrumb_enabled',
		'section'         => 'rising_news_breadcrumb',
	)
);
